# encoding: utf-8
# Code generated by Microsoft (R) AutoRest Code Generator.
# Changes may cause incorrect behavior and will be lost if the code is
# regenerated.

module Azure::DataMigration::Mgmt::V2017_11_15_preview
  module Models
    #
    # A project resource
    #
    class Project < TrackedResource

      include MsRestAzure

      # @return [ProjectSourcePlatform] Source platform for the project.
      # Possible values include: 'SQL', 'Unknown'
      attr_accessor :source_platform

      # @return [ProjectTargetPlatform] Target platform for the project.
      # Possible values include: 'SQLDB', 'Unknown'
      attr_accessor :target_platform

      # @return [DateTime] UTC Date and time when project was created
      attr_accessor :creation_time

      # @return [ConnectionInfo] Information for connecting to source
      attr_accessor :source_connection_info

      # @return [ConnectionInfo] Information for connecting to target
      attr_accessor :target_connection_info

      # @return [Array<DatabaseInfo>] List of DatabaseInfo
      attr_accessor :databases_info

      # @return [ProjectProvisioningState] The project's provisioning state.
      # Possible values include: 'Deleting', 'Succeeded'
      attr_accessor :provisioning_state


      #
      # Mapper for Project class as Ruby Hash.
      # This will be used for serialization/deserialization.
      #
      def self.mapper()
        {
          client_side_validation: true,
          required: false,
          serialized_name: 'Project',
          type: {
            name: 'Composite',
            class_name: 'Project',
            model_properties: {
              id: {
                client_side_validation: true,
                required: false,
                read_only: true,
                serialized_name: 'id',
                type: {
                  name: 'String'
                }
              },
              name: {
                client_side_validation: true,
                required: false,
                read_only: true,
                serialized_name: 'name',
                type: {
                  name: 'String'
                }
              },
              type: {
                client_side_validation: true,
                required: false,
                read_only: true,
                serialized_name: 'type',
                type: {
                  name: 'String'
                }
              },
              tags: {
                client_side_validation: true,
                required: false,
                serialized_name: 'tags',
                type: {
                  name: 'Dictionary',
                  value: {
                      client_side_validation: true,
                      required: false,
                      serialized_name: 'StringElementType',
                      type: {
                        name: 'String'
                      }
                  }
                }
              },
              location: {
                client_side_validation: true,
                required: true,
                serialized_name: 'location',
                type: {
                  name: 'String'
                }
              },
              source_platform: {
                client_side_validation: true,
                required: true,
                serialized_name: 'properties.sourcePlatform',
                type: {
                  name: 'Enum',
                  module: 'ProjectSourcePlatform'
                }
              },
              target_platform: {
                client_side_validation: true,
                required: true,
                serialized_name: 'properties.targetPlatform',
                type: {
                  name: 'Enum',
                  module: 'ProjectTargetPlatform'
                }
              },
              creation_time: {
                client_side_validation: true,
                required: false,
                read_only: true,
                serialized_name: 'properties.creationTime',
                type: {
                  name: 'DateTime'
                }
              },
              source_connection_info: {
                client_side_validation: true,
                required: false,
                serialized_name: 'properties.sourceConnectionInfo',
                type: {
                  name: 'Composite',
                  polymorphic_discriminator: 'type',
                  uber_parent: 'ConnectionInfo',
                  class_name: 'ConnectionInfo'
                }
              },
              target_connection_info: {
                client_side_validation: true,
                required: false,
                serialized_name: 'properties.targetConnectionInfo',
                type: {
                  name: 'Composite',
                  polymorphic_discriminator: 'type',
                  uber_parent: 'ConnectionInfo',
                  class_name: 'ConnectionInfo'
                }
              },
              databases_info: {
                client_side_validation: true,
                required: false,
                serialized_name: 'properties.databasesInfo',
                type: {
                  name: 'Sequence',
                  element: {
                      client_side_validation: true,
                      required: false,
                      serialized_name: 'DatabaseInfoElementType',
                      type: {
                        name: 'Composite',
                        class_name: 'DatabaseInfo'
                      }
                  }
                }
              },
              provisioning_state: {
                client_side_validation: true,
                required: false,
                read_only: true,
                serialized_name: 'properties.provisioningState',
                type: {
                  name: 'Enum',
                  module: 'ProjectProvisioningState'
                }
              }
            }
          }
        }
      end
    end
  end
end
