# encoding: utf-8
# Code generated by Microsoft (R) AutoRest Code Generator.
# Changes may cause incorrect behavior and will be lost if the code is
# regenerated.

module Azure::DataMigration::Mgmt::V2018_04_19
  module Models
    #
    # Description about the errors happen while performing migration validation
    #
    class ExecutionStatistics

      include MsRestAzure

      # @return [Integer] No. of query executions
      attr_accessor :execution_count

      # @return [Float] CPU Time in millisecond(s) for the query execution
      attr_accessor :cpu_time_ms

      # @return [Float] Time taken in millisecond(s) for executing the query
      attr_accessor :elapsed_time_ms

      # @return [Hash{String => WaitStatistics}] Dictionary of sql query
      # execution wait types and the respective statistics
      attr_accessor :wait_stats

      # @return [Boolean] Indicates whether the query resulted in an error
      attr_accessor :has_errors

      # @return [Array<String>] List of sql Errors
      attr_accessor :sql_errors


      #
      # Mapper for ExecutionStatistics class as Ruby Hash.
      # This will be used for serialization/deserialization.
      #
      def self.mapper()
        {
          client_side_validation: true,
          required: false,
          serialized_name: 'ExecutionStatistics',
          type: {
            name: 'Composite',
            class_name: 'ExecutionStatistics',
            model_properties: {
              execution_count: {
                client_side_validation: true,
                required: false,
                read_only: true,
                serialized_name: 'executionCount',
                type: {
                  name: 'Number'
                }
              },
              cpu_time_ms: {
                client_side_validation: true,
                required: false,
                read_only: true,
                serialized_name: 'cpuTimeMs',
                type: {
                  name: 'Double'
                }
              },
              elapsed_time_ms: {
                client_side_validation: true,
                required: false,
                read_only: true,
                serialized_name: 'elapsedTimeMs',
                type: {
                  name: 'Double'
                }
              },
              wait_stats: {
                client_side_validation: true,
                required: false,
                serialized_name: 'waitStats',
                type: {
                  name: 'Dictionary',
                  value: {
                      client_side_validation: true,
                      required: false,
                      serialized_name: 'WaitStatisticsElementType',
                      type: {
                        name: 'Composite',
                        class_name: 'WaitStatistics'
                      }
                  }
                }
              },
              has_errors: {
                client_side_validation: true,
                required: false,
                read_only: true,
                serialized_name: 'hasErrors',
                type: {
                  name: 'Boolean'
                }
              },
              sql_errors: {
                client_side_validation: true,
                required: false,
                read_only: true,
                serialized_name: 'sqlErrors',
                type: {
                  name: 'Sequence',
                  element: {
                      client_side_validation: true,
                      required: false,
                      serialized_name: 'StringElementType',
                      type: {
                        name: 'String'
                      }
                  }
                }
              }
            }
          }
        }
      end
    end
  end
end
