# encoding: utf-8
# Code generated by Microsoft (R) AutoRest Code Generator.
# Changes may cause incorrect behavior and will be lost if the code is
# regenerated.

module Azure::DataMigration::Mgmt::V2018_04_19
  module Models
    #
    # Database specific information for SQL to Azure SQL DB sync migration task
    # inputs
    #
    class MigrateSqlServerSqlDbSyncDatabaseInput

      include MsRestAzure

      # @return [String] Unique identifier for database
      attr_accessor :id

      # @return [String] Name of database
      attr_accessor :name

      # @return [String] Target database name
      attr_accessor :target_database_name

      # @return [String] Schema name to be migrated
      attr_accessor :schema_name

      # @return [Hash{String => String}] Mapping of source to target tables
      attr_accessor :table_map

      # @return [Hash{String => String}] Migration settings which tune the
      # migration behavior
      attr_accessor :migration_setting

      # @return [Hash{String => String}] Source settings to tune source
      # endpoint migration behavior
      attr_accessor :source_setting

      # @return [Hash{String => String}] Target settings to tune target
      # endpoint migration behavior
      attr_accessor :target_setting


      #
      # Mapper for MigrateSqlServerSqlDbSyncDatabaseInput class as Ruby Hash.
      # This will be used for serialization/deserialization.
      #
      def self.mapper()
        {
          client_side_validation: true,
          required: false,
          serialized_name: 'MigrateSqlServerSqlDbSyncDatabaseInput',
          type: {
            name: 'Composite',
            class_name: 'MigrateSqlServerSqlDbSyncDatabaseInput',
            model_properties: {
              id: {
                client_side_validation: true,
                required: false,
                serialized_name: 'id',
                type: {
                  name: 'String'
                }
              },
              name: {
                client_side_validation: true,
                required: false,
                serialized_name: 'name',
                type: {
                  name: 'String'
                }
              },
              target_database_name: {
                client_side_validation: true,
                required: false,
                serialized_name: 'targetDatabaseName',
                type: {
                  name: 'String'
                }
              },
              schema_name: {
                client_side_validation: true,
                required: false,
                serialized_name: 'schemaName',
                type: {
                  name: 'String'
                }
              },
              table_map: {
                client_side_validation: true,
                required: false,
                serialized_name: 'tableMap',
                type: {
                  name: 'Dictionary',
                  value: {
                      client_side_validation: true,
                      required: false,
                      serialized_name: 'StringElementType',
                      type: {
                        name: 'String'
                      }
                  }
                }
              },
              migration_setting: {
                client_side_validation: true,
                required: false,
                serialized_name: 'migrationSetting',
                type: {
                  name: 'Dictionary',
                  value: {
                      client_side_validation: true,
                      required: false,
                      serialized_name: 'StringElementType',
                      type: {
                        name: 'String'
                      }
                  }
                }
              },
              source_setting: {
                client_side_validation: true,
                required: false,
                serialized_name: 'sourceSetting',
                type: {
                  name: 'Dictionary',
                  value: {
                      client_side_validation: true,
                      required: false,
                      serialized_name: 'StringElementType',
                      type: {
                        name: 'String'
                      }
                  }
                }
              },
              target_setting: {
                client_side_validation: true,
                required: false,
                serialized_name: 'targetSetting',
                type: {
                  name: 'Dictionary',
                  value: {
                      client_side_validation: true,
                      required: false,
                      serialized_name: 'StringElementType',
                      type: {
                        name: 'String'
                      }
                  }
                }
              }
            }
          }
        }
      end
    end
  end
end
