# encoding: utf-8
# Code generated by Microsoft (R) AutoRest Code Generator.
# Changes may cause incorrect behavior and will be lost if the code is
# regenerated.

module Azure::DataMigration::Mgmt::V2018_07_15_preview
  module Models
    #
    # Output for the task that validates connection to Azure Database for
    # PostgreSQL and target server requirements for Oracle source.
    #
    class ConnectToTargetOracleAzureDbForPostgreSqlSyncTaskOutput

      include MsRestAzure

      # @return [String] Version of the target server
      attr_accessor :target_server_version

      # @return [Array<String>] List of databases on target server
      attr_accessor :databases

      # @return [String] Target server brand version
      attr_accessor :target_server_brand_version

      # @return [Array<ReportableException>] Validation errors associated with
      # the task
      attr_accessor :validation_errors

      # @return
      # [Array<ConnectToTargetOracleAzureDbForPostgreSqlSyncTaskOutputDatabaseSchemaMapItem>]
      # Mapping of schemas per database
      attr_accessor :database_schema_map


      #
      # Mapper for ConnectToTargetOracleAzureDbForPostgreSqlSyncTaskOutput
      # class as Ruby Hash.
      # This will be used for serialization/deserialization.
      #
      def self.mapper()
        {
          client_side_validation: true,
          required: false,
          serialized_name: 'ConnectToTargetOracleAzureDbForPostgreSqlSyncTaskOutput',
          type: {
            name: 'Composite',
            class_name: 'ConnectToTargetOracleAzureDbForPostgreSqlSyncTaskOutput',
            model_properties: {
              target_server_version: {
                client_side_validation: true,
                required: false,
                read_only: true,
                serialized_name: 'targetServerVersion',
                type: {
                  name: 'String'
                }
              },
              databases: {
                client_side_validation: true,
                required: false,
                read_only: true,
                serialized_name: 'databases',
                type: {
                  name: 'Sequence',
                  element: {
                      client_side_validation: true,
                      required: false,
                      serialized_name: 'StringElementType',
                      type: {
                        name: 'String'
                      }
                  }
                }
              },
              target_server_brand_version: {
                client_side_validation: true,
                required: false,
                read_only: true,
                serialized_name: 'targetServerBrandVersion',
                type: {
                  name: 'String'
                }
              },
              validation_errors: {
                client_side_validation: true,
                required: false,
                read_only: true,
                serialized_name: 'validationErrors',
                type: {
                  name: 'Sequence',
                  element: {
                      client_side_validation: true,
                      required: false,
                      serialized_name: 'ReportableExceptionElementType',
                      type: {
                        name: 'Composite',
                        class_name: 'ReportableException'
                      }
                  }
                }
              },
              database_schema_map: {
                client_side_validation: true,
                required: false,
                serialized_name: 'databaseSchemaMap',
                type: {
                  name: 'Sequence',
                  element: {
                      client_side_validation: true,
                      required: false,
                      serialized_name: 'ConnectToTargetOracleAzureDbForPostgreSqlSyncTaskOutputDatabaseSchemaMapItemElementType',
                      type: {
                        name: 'Composite',
                        class_name: 'ConnectToTargetOracleAzureDbForPostgreSqlSyncTaskOutputDatabaseSchemaMapItem'
                      }
                  }
                }
              }
            }
          }
        }
      end
    end
  end
end
