# encoding: utf-8
# Code generated by Microsoft (R) AutoRest Code Generator.
# Changes may cause incorrect behavior and will be lost if the code is
# regenerated.

module Azure::DataMigration::Mgmt::V2018_07_15_preview
  module Models
    #
    # Input for the task that validates connection to Azure SQL Database
    # Managed Instance.
    #
    class ConnectToTargetSqlMITaskInput

      include MsRestAzure

      # @return [SqlConnectionInfo] Connection information for target SQL
      # Server
      attr_accessor :target_connection_info

      # @return [Boolean] Flag for whether to collect logins from target SQL MI
      # server. Default value: true .
      attr_accessor :collect_logins

      # @return [Boolean] Flag for whether to collect agent jobs from target
      # SQL MI server. Default value: true .
      attr_accessor :collect_agent_jobs

      # @return [Boolean] Flag for whether to validate SSIS catalog is
      # reachable on the target SQL MI server. Default value: false .
      attr_accessor :validate_ssis_catalog_only


      #
      # Mapper for ConnectToTargetSqlMITaskInput class as Ruby Hash.
      # This will be used for serialization/deserialization.
      #
      def self.mapper()
        {
          client_side_validation: true,
          required: false,
          serialized_name: 'ConnectToTargetSqlMITaskInput',
          type: {
            name: 'Composite',
            class_name: 'ConnectToTargetSqlMITaskInput',
            model_properties: {
              target_connection_info: {
                client_side_validation: true,
                required: true,
                serialized_name: 'targetConnectionInfo',
                type: {
                  name: 'Composite',
                  class_name: 'SqlConnectionInfo'
                }
              },
              collect_logins: {
                client_side_validation: true,
                required: false,
                serialized_name: 'collectLogins',
                default_value: true,
                type: {
                  name: 'Boolean'
                }
              },
              collect_agent_jobs: {
                client_side_validation: true,
                required: false,
                serialized_name: 'collectAgentJobs',
                default_value: true,
                type: {
                  name: 'Boolean'
                }
              },
              validate_ssis_catalog_only: {
                client_side_validation: true,
                required: false,
                serialized_name: 'validateSsisCatalogOnly',
                default_value: false,
                type: {
                  name: 'Boolean'
                }
              }
            }
          }
        }
      end
    end
  end
end
