# encoding: utf-8
# Code generated by Microsoft (R) AutoRest Code Generator.
# Changes may cause incorrect behavior and will be lost if the code is
# regenerated.

module Azure::DataMigration::Mgmt::V2018_07_15_preview
  module Models
    #
    # Database specific information for Oracle to Azure Database for PostgreSQL
    # migration task inputs
    #
    class MigrateOracleAzureDbPostgreSqlSyncDatabaseInput

      include MsRestAzure

      # @return [String] How to handle object name casing: either Preserve or
      # ToLower
      attr_accessor :case_manipulation

      # @return [String] Name of the migration pipeline
      attr_accessor :name

      # @return [String] Name of the source schema
      attr_accessor :schema_name

      # @return [Hash{String => String}] Mapping of source to target tables
      attr_accessor :table_map

      # @return [String] Name of target database. Note: Target database will be
      # truncated before starting migration.
      attr_accessor :target_database_name

      # @return [Hash{String => String}] Migration settings which tune the
      # migration behavior
      attr_accessor :migration_setting

      # @return [Hash{String => String}] Source settings to tune source
      # endpoint migration behavior
      attr_accessor :source_setting

      # @return [Hash{String => String}] Target settings to tune target
      # endpoint migration behavior
      attr_accessor :target_setting


      #
      # Mapper for MigrateOracleAzureDbPostgreSqlSyncDatabaseInput class as
      # Ruby Hash.
      # This will be used for serialization/deserialization.
      #
      def self.mapper()
        {
          client_side_validation: true,
          required: false,
          serialized_name: 'MigrateOracleAzureDbPostgreSqlSyncDatabaseInput',
          type: {
            name: 'Composite',
            class_name: 'MigrateOracleAzureDbPostgreSqlSyncDatabaseInput',
            model_properties: {
              case_manipulation: {
                client_side_validation: true,
                required: false,
                serialized_name: 'caseManipulation',
                type: {
                  name: 'String'
                }
              },
              name: {
                client_side_validation: true,
                required: false,
                serialized_name: 'name',
                type: {
                  name: 'String'
                }
              },
              schema_name: {
                client_side_validation: true,
                required: false,
                serialized_name: 'schemaName',
                type: {
                  name: 'String'
                }
              },
              table_map: {
                client_side_validation: true,
                required: false,
                serialized_name: 'tableMap',
                type: {
                  name: 'Dictionary',
                  value: {
                      client_side_validation: true,
                      required: false,
                      serialized_name: 'StringElementType',
                      type: {
                        name: 'String'
                      }
                  }
                }
              },
              target_database_name: {
                client_side_validation: true,
                required: false,
                serialized_name: 'targetDatabaseName',
                type: {
                  name: 'String'
                }
              },
              migration_setting: {
                client_side_validation: true,
                required: false,
                serialized_name: 'migrationSetting',
                type: {
                  name: 'Dictionary',
                  value: {
                      client_side_validation: true,
                      required: false,
                      serialized_name: 'StringElementType',
                      type: {
                        name: 'String'
                      }
                  }
                }
              },
              source_setting: {
                client_side_validation: true,
                required: false,
                serialized_name: 'sourceSetting',
                type: {
                  name: 'Dictionary',
                  value: {
                      client_side_validation: true,
                      required: false,
                      serialized_name: 'StringElementType',
                      type: {
                        name: 'String'
                      }
                  }
                }
              },
              target_setting: {
                client_side_validation: true,
                required: false,
                serialized_name: 'targetSetting',
                type: {
                  name: 'Dictionary',
                  value: {
                      client_side_validation: true,
                      required: false,
                      serialized_name: 'StringElementType',
                      type: {
                        name: 'String'
                      }
                  }
                }
              }
            }
          }
        }
      end
    end
  end
end
