# encoding: utf-8
# Code generated by Microsoft (R) AutoRest Code Generator.
# Changes may cause incorrect behavior and will be lost if the code is
# regenerated.

module Azure::DataMigration::Mgmt::V2018_07_15_preview
  module Models
    #
    # Model object.
    #
    #
    class MigrateSqlServerSqlDbTaskOutputMigrationLevel < MigrateSqlServerSqlDbTaskOutput

      include MsRestAzure


      def initialize
        @resultType = "MigrationLevelOutput"
      end

      attr_accessor :resultType

      # @return [DateTime] Migration start time
      attr_accessor :started_on

      # @return [DateTime] Migration end time
      attr_accessor :ended_on

      # @return [Integer] Duration of task execution in seconds.
      attr_accessor :duration_in_seconds

      # @return [MigrationStatus] Current status of migration. Possible values
      # include: 'Default', 'Connecting', 'SourceAndTargetSelected',
      # 'SelectLogins', 'Configured', 'Running', 'Error', 'Stopped',
      # 'Completed', 'CompletedWithWarnings'
      attr_accessor :status

      # @return [String] Migration status message
      attr_accessor :status_message

      # @return [String] Migration progress message
      attr_accessor :message

      # @return [Hash{String => String}] Selected databases as a map from
      # database name to database id
      attr_accessor :databases

      # @return [Hash{String => DatabaseSummaryResult}] Summary of database
      # results in the migration
      attr_accessor :database_summary

      # @return [MigrationValidationResult] Migration Validation Results
      attr_accessor :migration_validation_result

      # @return [MigrationReportResult] Migration Report Result, provides
      # unique url for downloading your migration report.
      attr_accessor :migration_report_result

      # @return [String] Source server version
      attr_accessor :source_server_version

      # @return [String] Source server brand version
      attr_accessor :source_server_brand_version

      # @return [String] Target server version
      attr_accessor :target_server_version

      # @return [String] Target server brand version
      attr_accessor :target_server_brand_version

      # @return [Array<ReportableException>] Migration exceptions and warnings.
      attr_accessor :exceptions_and_warnings


      #
      # Mapper for MigrateSqlServerSqlDbTaskOutputMigrationLevel class as Ruby
      # Hash.
      # This will be used for serialization/deserialization.
      #
      def self.mapper()
        {
          client_side_validation: true,
          required: false,
          serialized_name: 'MigrationLevelOutput',
          type: {
            name: 'Composite',
            class_name: 'MigrateSqlServerSqlDbTaskOutputMigrationLevel',
            model_properties: {
              id: {
                client_side_validation: true,
                required: false,
                read_only: true,
                serialized_name: 'id',
                type: {
                  name: 'String'
                }
              },
              resultType: {
                client_side_validation: true,
                required: true,
                serialized_name: 'resultType',
                type: {
                  name: 'String'
                }
              },
              started_on: {
                client_side_validation: true,
                required: false,
                read_only: true,
                serialized_name: 'startedOn',
                type: {
                  name: 'DateTime'
                }
              },
              ended_on: {
                client_side_validation: true,
                required: false,
                read_only: true,
                serialized_name: 'endedOn',
                type: {
                  name: 'DateTime'
                }
              },
              duration_in_seconds: {
                client_side_validation: true,
                required: false,
                read_only: true,
                serialized_name: 'durationInSeconds',
                type: {
                  name: 'Number'
                }
              },
              status: {
                client_side_validation: true,
                required: false,
                read_only: true,
                serialized_name: 'status',
                type: {
                  name: 'String'
                }
              },
              status_message: {
                client_side_validation: true,
                required: false,
                read_only: true,
                serialized_name: 'statusMessage',
                type: {
                  name: 'String'
                }
              },
              message: {
                client_side_validation: true,
                required: false,
                read_only: true,
                serialized_name: 'message',
                type: {
                  name: 'String'
                }
              },
              databases: {
                client_side_validation: true,
                required: false,
                read_only: true,
                serialized_name: 'databases',
                type: {
                  name: 'Dictionary',
                  value: {
                      client_side_validation: true,
                      required: false,
                      serialized_name: 'StringElementType',
                      type: {
                        name: 'String'
                      }
                  }
                }
              },
              database_summary: {
                client_side_validation: true,
                required: false,
                read_only: true,
                serialized_name: 'databaseSummary',
                type: {
                  name: 'Dictionary',
                  value: {
                      client_side_validation: true,
                      required: false,
                      serialized_name: 'DatabaseSummaryResultElementType',
                      type: {
                        name: 'Composite',
                        class_name: 'DatabaseSummaryResult'
                      }
                  }
                }
              },
              migration_validation_result: {
                client_side_validation: true,
                required: false,
                serialized_name: 'migrationValidationResult',
                type: {
                  name: 'Composite',
                  class_name: 'MigrationValidationResult'
                }
              },
              migration_report_result: {
                client_side_validation: true,
                required: false,
                serialized_name: 'migrationReportResult',
                type: {
                  name: 'Composite',
                  class_name: 'MigrationReportResult'
                }
              },
              source_server_version: {
                client_side_validation: true,
                required: false,
                read_only: true,
                serialized_name: 'sourceServerVersion',
                type: {
                  name: 'String'
                }
              },
              source_server_brand_version: {
                client_side_validation: true,
                required: false,
                read_only: true,
                serialized_name: 'sourceServerBrandVersion',
                type: {
                  name: 'String'
                }
              },
              target_server_version: {
                client_side_validation: true,
                required: false,
                read_only: true,
                serialized_name: 'targetServerVersion',
                type: {
                  name: 'String'
                }
              },
              target_server_brand_version: {
                client_side_validation: true,
                required: false,
                read_only: true,
                serialized_name: 'targetServerBrandVersion',
                type: {
                  name: 'String'
                }
              },
              exceptions_and_warnings: {
                client_side_validation: true,
                required: false,
                read_only: true,
                serialized_name: 'exceptionsAndWarnings',
                type: {
                  name: 'Sequence',
                  element: {
                      client_side_validation: true,
                      required: false,
                      serialized_name: 'ReportableExceptionElementType',
                      type: {
                        name: 'Composite',
                        class_name: 'ReportableException'
                      }
                  }
                }
              }
            }
          }
        }
      end
    end
  end
end
