# encoding: utf-8
# Code generated by Microsoft (R) AutoRest Code Generator.
# Changes may cause incorrect behavior and will be lost if the code is
# regenerated.

module Azure::DataMigration::Mgmt::V2018_07_15_preview
  module Models
    #
    # Describes a MongoDB data source
    #
    class MongoDbClusterInfo

      include MsRestAzure

      # @return [Array<MongoDbDatabaseInfo>] A list of non-system databases in
      # the cluster
      attr_accessor :databases

      # @return [Boolean] Whether the cluster supports sharded collections
      attr_accessor :supports_sharding

      # @return [MongoDbClusterType] The type of data source. Possible values
      # include: 'BlobContainer', 'CosmosDb', 'MongoDb'
      attr_accessor :type

      # @return [String] The version of the data source in the form x.y.z (e.g.
      # 3.6.7). Not used if Type is BlobContainer.
      attr_accessor :version


      #
      # Mapper for MongoDbClusterInfo class as Ruby Hash.
      # This will be used for serialization/deserialization.
      #
      def self.mapper()
        {
          client_side_validation: true,
          required: false,
          serialized_name: 'MongoDbClusterInfo',
          type: {
            name: 'Composite',
            class_name: 'MongoDbClusterInfo',
            model_properties: {
              databases: {
                client_side_validation: true,
                required: true,
                serialized_name: 'databases',
                type: {
                  name: 'Sequence',
                  element: {
                      client_side_validation: true,
                      required: false,
                      serialized_name: 'MongoDbDatabaseInfoElementType',
                      type: {
                        name: 'Composite',
                        class_name: 'MongoDbDatabaseInfo'
                      }
                  }
                }
              },
              supports_sharding: {
                client_side_validation: true,
                required: true,
                serialized_name: 'supportsSharding',
                type: {
                  name: 'Boolean'
                }
              },
              type: {
                client_side_validation: true,
                required: true,
                serialized_name: 'type',
                type: {
                  name: 'String'
                }
              },
              version: {
                client_side_validation: true,
                required: true,
                serialized_name: 'version',
                type: {
                  name: 'String'
                }
              }
            }
          }
        }
      end
    end
  end
end
