# encoding: utf-8
# Code generated by Microsoft (R) AutoRest Code Generator.
# Changes may cause incorrect behavior and will be lost if the code is
# regenerated.

module Azure::DataMigration::Mgmt::V2018_07_15_preview
  module Models
    #
    # Describes how an individual MongoDB collection should be migrated
    #
    class MongoDbCollectionSettings

      include MsRestAzure

      # @return [Boolean] Whether the migrator is allowed to drop the target
      # collection in the course of performing a migration. The default is
      # true.
      attr_accessor :can_delete

      # @return [MongoDbShardKeySetting]
      attr_accessor :shard_key

      # @return [Integer] The RUs that should be configured on a CosmosDB
      # target, or null to use the default. This has no effect on non-CosmosDB
      # targets.
      attr_accessor :target_rus


      #
      # Mapper for MongoDbCollectionSettings class as Ruby Hash.
      # This will be used for serialization/deserialization.
      #
      def self.mapper()
        {
          client_side_validation: true,
          required: false,
          serialized_name: 'MongoDbCollectionSettings',
          type: {
            name: 'Composite',
            class_name: 'MongoDbCollectionSettings',
            model_properties: {
              can_delete: {
                client_side_validation: true,
                required: false,
                serialized_name: 'canDelete',
                type: {
                  name: 'Boolean'
                }
              },
              shard_key: {
                client_side_validation: true,
                required: false,
                serialized_name: 'shardKey',
                type: {
                  name: 'Composite',
                  class_name: 'MongoDbShardKeySetting'
                }
              },
              target_rus: {
                client_side_validation: true,
                required: false,
                serialized_name: 'targetRUs',
                type: {
                  name: 'Number'
                }
              }
            }
          }
        }
      end
    end
  end
end
