# encoding: utf-8
# Code generated by Microsoft (R) AutoRest Code Generator.
# Changes may cause incorrect behavior and will be lost if the code is
# regenerated.

module Azure::DataMigration::Mgmt::V2018_07_15_preview
  module Models
    #
    # Describes a database or collection within a MongoDB data source
    #
    class MongoDbObjectInfo

      include MsRestAzure

      # @return [Integer] The average document size, or -1 if the average size
      # is unknown
      attr_accessor :average_document_size

      # @return [Integer] The estimated total data size, in bytes, or -1 if the
      # size is unknown.
      attr_accessor :data_size

      # @return [Integer] The estimated total number of documents, or -1 if the
      # document count is unknown
      attr_accessor :document_count

      # @return [String] The unqualified name of the database or collection
      attr_accessor :name

      # @return [String] The qualified name of the database or collection. For
      # a collection, this is the database-qualified name.
      attr_accessor :qualified_name


      #
      # Mapper for MongoDbObjectInfo class as Ruby Hash.
      # This will be used for serialization/deserialization.
      #
      def self.mapper()
        {
          client_side_validation: true,
          required: false,
          serialized_name: 'MongoDbObjectInfo',
          type: {
            name: 'Composite',
            class_name: 'MongoDbObjectInfo',
            model_properties: {
              average_document_size: {
                client_side_validation: true,
                required: true,
                serialized_name: 'averageDocumentSize',
                type: {
                  name: 'Number'
                }
              },
              data_size: {
                client_side_validation: true,
                required: true,
                serialized_name: 'dataSize',
                type: {
                  name: 'Number'
                }
              },
              document_count: {
                client_side_validation: true,
                required: true,
                serialized_name: 'documentCount',
                type: {
                  name: 'Number'
                }
              },
              name: {
                client_side_validation: true,
                required: true,
                serialized_name: 'name',
                type: {
                  name: 'String'
                }
              },
              qualified_name: {
                client_side_validation: true,
                required: true,
                serialized_name: 'qualifiedName',
                type: {
                  name: 'String'
                }
              }
            }
          }
        }
      end
    end
  end
end
