# encoding: utf-8
# Code generated by Microsoft (R) AutoRest Code Generator.
# Changes may cause incorrect behavior and will be lost if the code is
# regenerated.

module Azure::DataMigration::Mgmt::V2018_07_15_preview
  module Models
    #
    # Specifies resource limits for the migration
    #
    class MongoDbThrottlingSettings

      include MsRestAzure

      # @return [Integer] The percentage of CPU time that the migrator will try
      # to avoid using, from 0 to 100
      attr_accessor :min_free_cpu

      # @return [Integer] The number of megabytes of RAM that the migrator will
      # try to avoid using
      attr_accessor :min_free_memory_mb

      # @return [Integer] The maximum number of work items (e.g. collection
      # copies) that will be processed in parallel
      attr_accessor :max_parallelism


      #
      # Mapper for MongoDbThrottlingSettings class as Ruby Hash.
      # This will be used for serialization/deserialization.
      #
      def self.mapper()
        {
          client_side_validation: true,
          required: false,
          serialized_name: 'MongoDbThrottlingSettings',
          type: {
            name: 'Composite',
            class_name: 'MongoDbThrottlingSettings',
            model_properties: {
              min_free_cpu: {
                client_side_validation: true,
                required: false,
                serialized_name: 'minFreeCpu',
                type: {
                  name: 'Number'
                }
              },
              min_free_memory_mb: {
                client_side_validation: true,
                required: false,
                serialized_name: 'minFreeMemoryMb',
                type: {
                  name: 'Number'
                }
              },
              max_parallelism: {
                client_side_validation: true,
                required: false,
                serialized_name: 'maxParallelism',
                type: {
                  name: 'Number'
                }
              }
            }
          }
        }
      end
    end
  end
end
