# encoding: utf-8
# Code generated by Microsoft (R) AutoRest Code Generator.
# Changes may cause incorrect behavior and will be lost if the code is
# regenerated.

module Azure::DataMigration::Mgmt::V2018_07_15_preview
  module Models
    #
    # Information about an Oracle OCI driver.
    #
    class OracleOCIDriverInfo

      include MsRestAzure

      # @return [String] The name of the driver package
      attr_accessor :driver_name

      # @return [String] The size in bytes of the driver package
      attr_accessor :driver_size

      # @return [String] The MD5 Base64 encoded checksum for the driver
      # package.
      attr_accessor :archive_checksum

      # @return [String] The checksum for the driver package provided by
      # Oracle.
      attr_accessor :oracle_checksum

      # @return [String] Version listed in the OCI assembly 'oci.dll'
      attr_accessor :assembly_version

      # @return [Array<String>] List of Oracle database versions supported by
      # this driver. Only major minor of the version is listed.
      attr_accessor :supported_oracle_versions


      #
      # Mapper for OracleOCIDriverInfo class as Ruby Hash.
      # This will be used for serialization/deserialization.
      #
      def self.mapper()
        {
          client_side_validation: true,
          required: false,
          serialized_name: 'OracleOCIDriverInfo',
          type: {
            name: 'Composite',
            class_name: 'OracleOCIDriverInfo',
            model_properties: {
              driver_name: {
                client_side_validation: true,
                required: false,
                read_only: true,
                serialized_name: 'driverName',
                type: {
                  name: 'String'
                }
              },
              driver_size: {
                client_side_validation: true,
                required: false,
                read_only: true,
                serialized_name: 'driverSize',
                type: {
                  name: 'String'
                }
              },
              archive_checksum: {
                client_side_validation: true,
                required: false,
                read_only: true,
                serialized_name: 'archiveChecksum',
                type: {
                  name: 'String'
                }
              },
              oracle_checksum: {
                client_side_validation: true,
                required: false,
                read_only: true,
                serialized_name: 'oracleChecksum',
                type: {
                  name: 'String'
                }
              },
              assembly_version: {
                client_side_validation: true,
                required: false,
                read_only: true,
                serialized_name: 'assemblyVersion',
                type: {
                  name: 'String'
                }
              },
              supported_oracle_versions: {
                client_side_validation: true,
                required: false,
                read_only: true,
                serialized_name: 'supportedOracleVersions',
                type: {
                  name: 'Sequence',
                  element: {
                      client_side_validation: true,
                      required: false,
                      serialized_name: 'StringElementType',
                      type: {
                        name: 'String'
                      }
                  }
                }
              }
            }
          }
        }
      end
    end
  end
end
