# encoding: utf-8
# Code generated by Microsoft (R) AutoRest Code Generator.
# Changes may cause incorrect behavior and will be lost if the code is
# regenerated.

module Azure::DataMigration::Mgmt::V2018_07_15_preview
  module Models
    #
    # An Azure SKU instance
    #
    class ServiceSku

      include MsRestAzure

      # @return [String] The unique name of the SKU, such as 'P3'
      attr_accessor :name

      # @return [String] The tier of the SKU, such as 'Basic', 'General
      # Purpose', or 'Business Critical'
      attr_accessor :tier

      # @return [String] The SKU family, used when the service has multiple
      # performance classes within a tier, such as 'A', 'D', etc. for virtual
      # machines
      attr_accessor :family

      # @return [String] The size of the SKU, used when the name alone does not
      # denote a service size or when a SKU has multiple performance classes
      # within a family, e.g. 'A1' for virtual machines
      attr_accessor :size

      # @return [Integer] The capacity of the SKU, if it supports scaling
      attr_accessor :capacity


      #
      # Mapper for ServiceSku class as Ruby Hash.
      # This will be used for serialization/deserialization.
      #
      def self.mapper()
        {
          client_side_validation: true,
          required: false,
          serialized_name: 'ServiceSku',
          type: {
            name: 'Composite',
            class_name: 'ServiceSku',
            model_properties: {
              name: {
                client_side_validation: true,
                required: false,
                serialized_name: 'name',
                type: {
                  name: 'String'
                }
              },
              tier: {
                client_side_validation: true,
                required: false,
                serialized_name: 'tier',
                type: {
                  name: 'String'
                }
              },
              family: {
                client_side_validation: true,
                required: false,
                serialized_name: 'family',
                type: {
                  name: 'String'
                }
              },
              size: {
                client_side_validation: true,
                required: false,
                serialized_name: 'size',
                type: {
                  name: 'String'
                }
              },
              capacity: {
                client_side_validation: true,
                required: false,
                serialized_name: 'capacity',
                type: {
                  name: 'Number'
                }
              }
            }
          }
        }
      end
    end
  end
end
